Force using a specified SSL version for https

Recommend this page to a friend!

      PHP HTTP protocol client  >  All threads  >  Force using a specified SSL version...  >  (Un) Subscribe thread alerts  
Subject:Force using a specified SSL version...
Summary:How to enforce the http class to use TLS1 when i need
Messages:2
Author:Roman Gelembjuk
Date:2014-10-31 08:59:36
 

  1. Force using a specified SSL version...   Reply   Report abuse  
Roman Gelembjuk - 2014-10-31 08:59:36
Hello,

Is it possible to force this class to use a specified SSL version for https requests?

For example, for curl i can use the option CURLOPT_SSLVERSION to fo this.

Can i do same with this nice class? How to do this?
Thanks

  2. Re: Force using a specified SSL version...   Reply   Report abuse  
Manuel Lemos - 2014-10-31 09:30:33 - In reply to message 1 from Roman Gelembjuk
The class can use either fsockopen or curl, so it is possible to change the class to set that CURL option if the curl connection is enabled, although it would better if it would also work with fsockopen.

It seems fsockopen has options to choose SSL or TLS, but no support to pick a specific protocol version.

What exactly are you trying to achieve? Do you want to avoid SSL 3 and make sure it uses TLS?

 

For more information send a message to info at phpclasses dot org.